%define	subrel	1

Name:		task-obsolete
Version:	2
Release:	%mkrel 20
Summary:	Meta package obsoleting old packages
License:	GPLv2+
Group:		System/Base

BuildArch:  noarch

# *** Mageia 2 ***

# http://www.mageia.org/pipermail/mageia-dev/2012-February/012172.html
Obsoletes:	xedit <= 1.1.2-4.mga1
# https://bugs.mageia.org/show_bug.cgi?id=4621 
Obsoletes:	perl-Gtk2-MozEmbed < 0.90.0-13
# (kamil) 2012-02-27
# (kamil) old, not buildable with current libraries, dead or near dead upstream
Obsoletes:      pino <= 0.2.11-1.mga1
# (kamil) no more needed by Banshee
Obsoletes:      ipod-sharp <= 0.8.5-3.mga1
Obsoletes:      ipod-sharp-devel <= 0.8.5-3.mga1
Obsoletes:      ipod-sharp-doc <= 0.8.5-3.mga1
# (kamil) old, unmaintained, fully replaceable
Obsoletes:      pastebin <= 1.0-4.mga1
# (kamil) no more needed by Banshee
Obsoletes:      podsleuth <= 0.6.7-3.mga1
Obsoletes:      podsleuth-devel <= 0.6.7-3.mga1
# 2012-02-27 - jq, ispell no longer supported (mga#3516)
Obsoletes:      perl-Lingua-Ispell <= 0.70.0-1.mga1
# libgnomedb has been archived:
# https://bugzilla.gnome.org/show_bug.cgi?id=670975
Obsoletes:	libgnomedb4.0 < 4.0
Obsoletes:	libgnomedb4.0_4
Obsoletes:	lib64gnomedb4.0_4 < 4.0
Obsoletes:	libgnomedb4.0-devel
Obsoletes:	lib64gnomedb4.0-devel < 4.0
# obsoleted per request on:
# https://www.mageia.org/pipermail/mageia-dev/2012-February/012387.html
Obsoletes:	python-xpcom < 2.0.0.1
Obsoletes:	python-xpcom-devel < 2.0.0.1
# obgr_seneca - switch of upstream from nomachine to x2go
# change of package layout
Obsoletes:	libnx-devel < 3.5.0.11
Obsoletes:	lib64nx-devel < 3.5.0.11
Obsoletes:	nx-doc < 3.5.0.11
Obsoletes:	nxssh < 3.5.0.11
# fwang: npapi plugin has been splitted out since 2.0
Obsoletes:	mozilla-plugin-vlc < 2.0.1
# fwang: dead project:
# http://k9copy.sourceforge.net/web/index.php/en/nouveautes/12-theend
Obsoletes:	k9copy < 2.3.8
# (doktor5000 2012-04-04)
# obsoleting due to maintainer inactivity and missing updates
Obsoletes:	iceape < 2.6.1-2
Obsoletes:	iceape-dom-inspector < 2.6.1-2
Obsoletes:	iceape-irc < 2.6.1-2
Obsoletes:	iceape-js-debugger < 2.6.1-2
Obsoletes:	iceape-mail < 2.6.1-2
Obsoletes:	iceape-spellchecker < 2.6.1-2
# drop icewm-gnome because it buildrequires gnome2 libraries which not supported by upstream
Obsoletes:	icewm-gnome
# drop osmo4 as it is not produced by default from upstream
Obsoletes:	osmo4 < 0.4.5-10
# (dams) drop halevt as hal is deprecated and udisks-glue now mounts devices
Obsoletes:	halevt
Obsoletes:	halevt-system
Obsoletes:	halevt-user
# (fwang) dead upstream for two years
Obsoletes:	google-gadgets-common
Obsoletes:	google-gadgets-gtk
Obsoletes:	google-gadgets-qt
Obsoletes:	libggadget1.0_0
Obsoletes:	libggadget-dbus1.0_0
Obsoletes:	libggadget-gtk1.0_0
Obsoletes:	libggadget-js1.0_0
Obsoletes:	libggadget-npapi1.0_0
Obsoletes:	libggadget-qt1.0_0
Obsoletes:	libggadget-webkitjs0
Obsoletes:	libggadget-xdg1.0_0
Obsoletes:	libgoogle-gadgets-devel
Obsoletes:	lib64ggadget1.0_0
Obsoletes:	lib64ggadget-dbus1.0_0
Obsoletes:	lib64ggadget-gtk1.0_0
Obsoletes:	lib64ggadget-js1.0_0
Obsoletes:	lib64ggadget-npapi1.0_0
Obsoletes:	lib64ggadget-qt1.0_0
Obsoletes:	lib64ggadget-webkitjs0
Obsoletes:	lib64ggadget-xdg1.0_0
Obsoletes:	lib64google-gadgets-devel
Obsoletes:	kdebase4-workspace-googlegadgets < 2:4.8.2-3
# (boklm) drop cluster
# http://www.mageia.org/pipermail/mageia-dev/2012-April/014566.html
Obsoletes:	rgmanager <= 3.0.17
Obsoletes:	cman <= 3.0.17
Obsoletes:	perl-Cluster-CCS <= 3.0.17
Obsoletes:	dkms-gfs <= 3.0.17
Obsoletes:	cluster-devel <= 3.0.17
Obsoletes:	lib64cman3 <= 3.0.17
Obsoletes:	libcman3 <= 3.0.17
Obsoletes:	lib64cman-devel <= 3.0.17
Obsoletes:	libcman-devel <= 3.0.17
Obsoletes:	lib64fence3 <= 3.0.17
Obsoletes:	libfence3 <= 3.0.17
Obsoletes:	lib64fence-devel <= 3.0.17
Obsoletes:	libfence-devel <= 3.0.17
Obsoletes:	lib64fence-static-devel <= 3.0.17
Obsoletes:	libfence-static-devel <= 3.0.17
Obsoletes:	lib64logthread3 <= 3.0.17
Obsoletes:	liblogthread3 <= 3.0.17
Obsoletes:	lib64logthread-devel <= 3.0.17
Obsoletes:	liblogthread-devel <= 3.0.17
Obsoletes:	lib64logthread-static-devel <= 3.0.17
Obsoletes:	liblogthread-static-devel <= 3.0.17
Obsoletes:	lib64ccs3 <= 3.0.17
Obsoletes:	libccs3 <= 3.0.17
Obsoletes:	lib64ccs-devel <= 3.0.17
Obsoletes:	libccs-devel <= 3.0.17
# (boklm) drop heartbeat
# http://www.mageia.org/pipermail/mageia-dev/2012-April/014566.html
Obsoletes:	heartbeat <= 3.0.5-1.mga2
Obsoletes:	heartbeat-devel <= 3.0.5-1.mga2
Obsoletes:	lib64apphb2 <= 3.0.5-1.mga2
Obsoletes:	libapphb2 <= 3.0.5-1.mga2
Obsoletes:	lib64clm1 <= 3.0.5-1.mga2
Obsoletes:	libclm1 <= 3.0.5-1.mga2
Obsoletes:	lib64hbclient1 <= 3.0.5-1.mga2
Obsoletes:	libhbclient1 <= 3.0.5-1.mga2
Obsoletes:	lib64ccmclient1 <= 3.0.5-1.mga2
Obsoletes:	libccmclient1 <= 3.0.5-1.mga2
# (boklm) drop openais
# http://www.mageia.org/pipermail/mageia-dev/2012-April/014566.html
Obsoletes:	openais <= 1.1.4-2.mga1
Obsoletes:	lib64openais-devel <= 1.1.4-2.mga1
Obsoletes:	libopenais-devel <= 1.1.4-2.mga1
Obsoletes:	lib64openais-static-devel <= 1.1.4-2.mga1
Obsoletes:	libopenais-static-devel <= 1.1.4-2.mga1
Obsoletes:	lib64openais2 <= 1.1.4-2.mga1
Obsoletes:	libopenais2 <= 1.1.4-2.mga1
# (boklm) obsolete drbd-utils-heartbeat
Obsoletes:	drbd-utils-heartbeat <= 8.3.11-1.mga2

%description
This package is used to obsolete packages that are no longer supported.

%files


%changelog

* Wed Aug 01 2012 cjw <cjw> 2-20.1.mga2
+ Revision: 276897
- make iceape obsoletes versioned so an up-to-date version can be installed

  + boklm <boklm>
    - don't obsolete dlm packages (now provided separately without cluster package)

* Fri Apr 20 2012 boklm <boklm> 2-19.mga2
+ Revision: 232186
- obsolete drbd-utils-heartbeat

* Fri Apr 20 2012 boklm <boklm> 2-18.mga2
+ Revision: 232170
- obsolete cluster, heartbeat, openais

* Fri Apr 20 2012 boklm <boklm> 2-17.mga2
+ Revision: 231972
- rebuild to fix package signature problem

  + fwang <fwang>
    - obsolete kde component too

* Fri Apr 20 2012 fwang <fwang> 2-16.mga2
+ Revision: 231932
- obsoletes google-gadgets, it has been dead for two years

* Tue Apr 17 2012 dams <dams> 2-15.mga2
+ Revision: 231217
- drop all 'halevt' packages

* Tue Apr 17 2012 dams <dams> 2-14.mga2
+ Revision: 231198
- obsoletes halevt

* Fri Apr 13 2012 fwang <fwang> 2-13.mga2.tainted
+ Revision: 230594
- drop osmo4

  + yochenhsieh <yochenhsieh>
    - drop and obsolete icewm-gnome

* Wed Apr 04 2012 doktor5000 <doktor5000> 2-12.mga2
+ Revision: 228538
- drop iceape, due to missing security updates

* Fri Mar 23 2012 fwang <fwang> 2-11.mga2
+ Revision: 225806
- k9copy is dead, according to upstream

* Tue Mar 20 2012 fwang <fwang> 2-10.mga2
+ Revision: 225049
- obsoletes mozilla-plugin-vlc

  + obgr_seneca <obgr_seneca>
    - removed obsoletes for latex-beamer, done by texlive-texmf

* Wed Mar 07 2012 obgr_seneca <obgr_seneca> 2-9.mga2
+ Revision: 220919
- obsolte latex-beamer since the functionality is part of texlive

* Fri Mar 02 2012 obgr_seneca <obgr_seneca> 2-8.mga2
+ Revision: 216821
- replaced virtual package by real packages to really obsolete nx-devel

* Fri Mar 02 2012 obgr_seneca <obgr_seneca> 2-7.mga2
+ Revision: 216770
- obsolete old nx packages

  + fwang <fwang>
    - obsolete python-xpcom per reqested

* Wed Feb 29 2012 fwang <fwang> 2-6.mga2
+ Revision: 215972
- drop gnomedb, according to upstream

* Mon Feb 27 2012 jquelin <jquelin> 2-5.mga2
+ Revision: 215659
- package is obvisouly a noarch one

* Mon Feb 27 2012 jquelin <jquelin> 2-4.mga2
+ Revision: 215655
- obsoleting perl-Lingua-Ispell (mga#3516)

* Mon Feb 27 2012 kamil <kamil> 2-3.mga2
+ Revision: 215531
- entries added by kamil:
  o pino <= 0.2.11-1.mga1
  * reason: old, not buildable with current libraries, dead or near dead upstream
  o ipod-sharp <= 0.8.5-3.mga1
  o ipod-sharp-devel <= 0.8.5-3.mga1
  o ipod-sharp-doc <= 0.8.5-3.mga1
  * reason: no more needed by Banshee
  o pastebin <= 1.0-4.mga1
  * reason: old, unmaintained, fully replaceable
  o podsleuth <= 0.6.7-3.mga1
  o podsleuth-devel <= 0.6.7-3.mga1

  + fwang <fwang>
    - obsoletes perl-Gtk2-MozEmbed, it is not required by any packages now, and does not build with official xulrunner

* Sun Feb 26 2012 ovitters <ovitters> 2-2.mga2
+ Revision: 215392
- clean spec

* Sun Feb 26 2012 boklm <boklm> 2-1.mga2
+ Revision: 215368
- obsolete xedit
- imported package task-obsolete

